oracle.jcr

## Interface OracleWorkspace

All Superinterfaces:
  Workspace

    public interface OracleWorkspace
    extends Workspace

OracleWorkspace is a JCR session's view of a repository workspace.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `commit()` Explicitly commits the in-progress local transaction.
`void` `rollback()` Explicitly rolls back the in-progress local transaction.

### Methods inherited from interface javax.jcr.Workspace

`clone, copy, copy, getAccessibleWorkspaceNames, getImportContentHandler, getName, getNamespaceRegistry, getNodeTypeManager, getObservationManager, getQueryManager, getSession, importXML, move, restore`

### Method Detail

#### commit

    void commit()
         throws RepositoryException

Explicitly commits the in-progress local transaction.

Throws:
  `RepositoryException` - if the operation fails

#### rollback

    void rollback()
           throws RepositoryException

Explicitly rolls back the in-progress local transaction.

Throws:
  `RepositoryException` - if the operation fails

Copyright © 2003, 2017, Oracle and/or its affiliates. All rights reserved.